Bug 1291788 - [RFE] Implement "Nested Composite Content Views" for Satellite 6
[RFE] Implement "Nested Composite Content Views" for Satellite 6
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.1.4
All All
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
: FutureFeature, Triaged
: 1308676 (view as bug list)
Depends On:
Blocks: 1296845 1353215
  Show dependency treegraph
 
Reported: 2015-12-15 10:28 EST by Christian Horn
Modified: 2016-12-15 01:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2090231 None None None Never

  None (edit)
Description Christian Horn 2015-12-15 10:28:48 EST
1. Proposed title of this feature request  
      
Implement "Nested Composite Content Views" for Satellite6

    3. What is the nature and description of the request?  

We would like to make a Composite Content View (CCV) for our "Base OS" (RHEL + VMware Tools + HP Tools + Monitoring) and then include that "Base OS"-CCV in the application-specific CCVs. Could be thought of like "overlay-filesystem for content views".
      
    4. Why does the customer need this? (List the business requirements here)  

We would like to provide the same "Base OS" to all applications without having to update every single base component in the application-specific CCV.
Using a pure CV for the "Base OS" is not feasable as the components may have different release cycles and we want to be able to pick each component individually.

Example:
We have the following Content Views and their repositories:
 - RHEL7
   + RHEL 7
   + RHEL Satellite Tools
   + RHEL 7 Optional
 - VMware Tools
   + VMware Tools
 - HP OpenView
   + HP OpenVIew Agent
 - Hadoop CV
   + Cloudera Hadoop
   + Hadoop Puppet Modules
 - Oracle CV
   + Oracle DB
   + Oracle Puppet Modules

We combile RHEL7 + VMware Tools + HP OpenView to a CCV called "Base OS".

Our Servers are grouped into three classes: generic server, hadoop server, oracle server.
The generic server will just get the "Base OS" CCV. The other should get "Base OS" plus their respective application, which will lead us to the following new CCVs:
- Oracle CCV
  + Oracle CV
  + Base CCV
- Hadoop CCV
  + Hadoop CV
  + Base CCV

The benefit here is that we define the combination of the base components only once in the Base CCV and re-use that as part of the application CCVs

Currently, this is not possible, as a CCV cannot be put inside another CCV. Only a regular CV can be placed into a CCV.

      
    5. How would the customer like to achieve this? (List the functional requirements here)  
      
Allow CCVs to contain other CCVs.
      
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  

CCVs can be added to other CCVs and the resulting CCV can be published and promoted as currently.
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  

Not aware of any.
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

Satellite 6.3 or 6.4 ?
      
    9. Is the sales team involved in this request and do they have any additional input?  

no
      
    10. List any affected packages or components.  

Depends on implementation, atleast katello.
      
    11. Would the customer be able to assist in testing this functionality if implemented?  

yes
Comment 3 Brad Buckingham 2016-08-25 13:12:08 EDT
*** Bug 1308676 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.